# MatRestoreArray

Restores the matrix after MatGetArray() has been called.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatRestoreArray(Mat mat,PetscScalar *v[])

Not Collective

### Input Parameter

| mat | - the matrix
| v | - the location of the values

### Fortran Note

This routine is used differently from Fortran, e.g.,

            Mat         mat
            PetscScalar mat_array(1)
            PetscOffset i_mat
            PetscErrorCode ierr
            call MatGetArray(mat,mat_array,i_mat,ierr)

      C  Access first local entry in matrix; note that array is
      C  treated as one dimensional
            value = mat_array(i_mat + 1)

            [... other code ...]
            call MatRestoreArray(mat,mat_array,i_mat,ierr)

See the Fortran chapter of the users manual and petsc/src/mat/examples/tests for details

### See Also

MatGetArray(), MatRestoreArrayF90()

Level:advanced
Location: src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages